Loading...
Searching...
No Matches
dict.h File Reference
SPA » Utilities » Dictionary

`spa/utils/dict.h` More...

Go to the source code of this file.

## Data Structures

struct | spa_dict_item
struct | spa_dict

## Macros

#define | SPA_DICT_ITEM_INIT(key, value) ((struct spa_dict_item) { (key), (value) })
#define | SPA_DICT_FLAG_SORTED (1<<0)
| items are sorted
#define | SPA_DICT_INIT(items, n_items) ((struct spa_dict) { 0, (n_items), (items) })
#define | SPA_DICT_INIT_ARRAY(items) ((struct spa_dict) { 0, SPA_N_ELEMENTS(items), (items) })
#define | spa_dict_for_each(item, dict)

## Functions

static int | spa_dict_item_compare (const void *i1, const void *i2)
static void | spa_dict_qsort (struct spa_dict *dict)
static const struct spa_dict_item * | spa_dict_lookup_item (const struct spa_dict *dict, const char *key)
static const char * | spa_dict_lookup (const struct spa_dict *dict, const char *key)

## Detailed Description

`spa/utils/dict.h`